# smfi_stop

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_stop(void);

Shutdown the milter. No connections will be accepted after this call.

DESCRIPTION

Called When | Called from any of the Callback routines or any error-handling routines at any time.
Effects | The smfi_stop routine prevents that new connections will be accepted, however, it does not wait for existing connections (threads) to terminate. It will cause smfi_main to return to the calling program, which may then exit or warm-restart.

ARGUMENTS

Argument | Description
--- | ---
void | Takes no argument.

RETURN VALUES

smfi_stop always returns SMFI_CONTINUE. But note:

- Another internal routine may already have asked the milter to abort.
- Another routine may already have asked the milter to stop.
- There is no way to cancel the stop process once it has begun.

Copyright (c) 2003, 2005 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.